#!/bin/bash
#
# Turn all single PO into separate PO for Publican
# * Relies on TX to have an up-to-date list of languages that are 100% translated
# * Make sure you're in the top of the module with the 'po/' folder.
# * Check what the GNU name for Serbian (Latin) is for this module and adjust this script accordingly
#

mv po/ar.po po/ar-SA.po
mv po/as.po po/as-IN.po
mv po/bal.po po/bal-IR.po
mv po/bg.po po/bg-BG.po
mv po/bn_IN.po po/bn-IN.po
mv po/bs.po po/bs-BA.po
mv po/ca.po po/ca-ES.po
mv po/cs.po po/cs-CZ.po
mv po/da.po po/da-DK.po
mv po/de.po po/de-DE.po
mv po/de_CH.po po/de-CH.po
mv po/el.po po/el-GR.po
mv po/es.po po/es-ES.po
mv po/fa.po po/fa-IR.po
mv po/fi.po po/fi-FI.po
mv po/fr.po po/fr-FR.po
mv po/gu.po po/gu-IN.po
mv po/he.po po/he-IL.po
mv po/hi.po po/hi-IN.po
mv po/hr.po po/hr-HR.po
mv po/hu.po po/hu-HU.po
mv po/id.po po/id-ID.po
mv po/is.po po/is-IS.po
mv po/it.po po/it-IT.po
mv po/ja.po po/ja-JP.po
mv po/kn.po po/kn-IN.po
mv po/ko.po po/ko-KR.po
mv po/lv.po po/lv-LV.po
mv po/ml.po po/ml-IN.po
mv po/mr.po po/mr-IN.po
mv po/ms.po po/ms-MY.po
mv po/nb.po po/nb-NO.po
mv po/nl.po po/nl-NL.po
mv po/or.po po/or-IN.po
mv po/pa.po po/pa-IN.po
mv po/pl.po po/pl-PL.po
mv po/pt.po po/pt-PT.po
mv po/pt_BR.po po/pt-BR.po
mv po/ro.po po/ro-RO.po
mv po/ru.po po/ru-RU.po
mv po/si.po po/si-LK.po
mv po/sk.po po/sk-SK.po
mv po/sr.po po/sr-RS.po
mv po/sr_Latn.po po/sr-LATN.po
mv po/sv.po po/sv-SE.po
mv po/ta.po po/ta-IN.po
mv po/te.po po/te-IN.po
mv po/th.po po/th-TH.po
mv po/uk.po po/uk-UA.po
mv po/zh_CN.po po/zh-CN.po
mv po/zh_TW.po po/zh-TW.po

for LANG in `cat po/TX`; do
    for POTFILE in pot/*.pot; do
        msgmerge po/${LANG}.po ${POTFILE} | msgattrib --no-obsolete \
                 > ${LANG}/$(basename ${POTFILE} .pot).po
    done
done

mv po/ar-SA.po po/ar.po
mv po/as-IN.po po/as.po
mv po/bal-IR.po po/bal.po
mv po/bg-BG.po po/bg.po
mv po/bn-IN.po po/bn_IN.po
mv po/bs-BA.po po/bs.po
mv po/ca-ES.po po/ca.po
mv po/cs-CZ.po po/cs.po
mv po/da-DK.po po/da.po
mv po/de-DE.po po/de.po
mv po/de-CH.po po/de_CH.po
mv po/el-GR.po po/el.po
mv po/es-ES.po po/es.po
mv po/fa-IR.po po/fa.po
mv po/fi-FI.po po/fi.po
mv po/fr-FR.po po/fr.po
mv po/gu-IN.po po/gu.po
mv po/he-IL.po po/he.po
mv po/hi-IN.po po/hi.po
mv po/hr-HR.po po/hr.po
mv po/hu-HU.po po/hu.po
mv po/id-ID.po po/id.po
mv po/is-IS.po po/is.po
mv po/it-IT.po po/it.po
mv po/ja-JP.po po/ja.po
mv po/kn-IN.po po/kn.po
mv po/ko-KR.po po/ko.po
mv po/lv-LV.po po/lv.po
mv po/ml-IN.po po/ml.po
mv po/mr-IN.po po/mr.po
mv po/ms-MY.po po/ms.po
mv po/nb-NO.po po/nb.po
mv po/nl-NL.po po/nl.po
mv po/or-IN.po po/or.po
mv po/pa-IN.po po/pa.po
mv po/pl-PL.po po/pl.po
mv po/pt-PT.po po/pt.po
mv po/pt-BR.po po/pt_BR.po
mv po/ro-RO.po po/ro.po
mv po/ru-RU.po po/ru.po
mv po/si-LK.po po/si.po
mv po/sk-SK.po po/sk.po
mv po/sr-RS.po po/sr.po
mv po/sr-LATN.po po/sr_Latn.po
mv po/sv-SE.po po/sv.po
mv po/ta-IN.po po/ta.po
mv po/te-IN.po po/te.po
mv po/th-TH.po po/th.po
mv po/uk-UA.po po/uk.po
mv po/zh-CN.po po/zh_CN.po
mv po/zh-TW.po po/zh_TW.po
